Bug 175031 - Please have a sysconfig/nfs file created by default
Please have a sysconfig/nfs file created by default
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2005-12-05 15:43 EST by Brad Smith
Modified: 2012-06-20 12:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:05:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2005-12-05 15:43:47 EST
There are several useful nfs options, such as {MOUNTD,RQUOTAD,STATD}_PORT, that
can be set in /etc/sysconfig/nfs. Maybe the options should be commented out so
that nfs uses portmap by default, but without digging through the init script,
there is currently no easy way to even see that they are there (the options
should also be added to sysconfig.txt).

Thanks.
Comment 1 Piotr Baranowski 2006-02-20 06:53:35 EST
That's the list of supprted VARIABLES as seen in /etc/init.d/nfs
/etc/init.d/nfslock and /etc/init.d/rpcgssd

STATD_PORT
STATDARG
STATD_OUTGOING_PORT
SECURE_NFS
LOCKD_TCPPORT
LOCKD_UDPPORT
RPCRQUOTADOPTS
RQUOTAD_PORT
RPCNFSDARGS
RPCNFSDCOUNT
MOUNTD_PORT

They need some diggin' in manpages and documenting in
/usr/share/doc/initscripts-x.y/sysconfig.txt
Comment 2 Jiri Pallich 2012-06-20 12:05:43 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.